import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.reportdesigner.designer.QbReportDesigner;

//Run this example from Report Designer install directory
//Report manager must be running
public class RDWithDataRegistry extends Applet {
	static final long serialVersionUID = 1;
	public QbReportDesigner designer;

	public static void main(java.lang.String[] args) {

		try {

			RDWithDataRegistry doReport = new RDWithDataRegistry();
			doReport.doReportDesignerWithDataRegApplet(null);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	@Override
	public void init() {

		try {

			doReportDesignerWithDataRegApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	public void doReportDesignerWithDataRegApplet(Applet applet) throws Exception {
		// Connect to EspressManager
		QbReportDesigner.setServerAddress("127.0.0.1");
		QbReportDesigner.setServerPortNumber(22071);

		// Use images from jar file
		QbReportDesigner.setUseSysResourceImages(true);

		// QbReportDesigner (component, name of XML file, true = start from Data Source Manager false = start from Create a new report or open existing report choice before going to Data Source Manager
		designer = new QbReportDesigner(applet, "sample.xml", true);

		designer.setVisible(true);

	}

}